%esercizio 3
%questo script usa la funzione lagrange per risolvere il problema dell interpolazione sull'esempio visto in questa sezione
% e disegna l'errore di approssimazione

n=11;
%nodi
x=5*cos(linspace(0, pi, n));
%definizione della funzione
f=@(t) 1./(1+t.^2);
%calcolo la funzione nei nodi
y=feval(f,x);
%cerco un'approssimazione della funzione nei punti -5 e 5 equispaziati
m=100;
interpx=linspace(-5,5,m);
%calcolo della funzione esatta
yesatta=feval(f,interpx);
v=lagrange(x,y,interpx);
error=abs(yesatta-v);
semilogy(interpx, error, 'g')
legend('errore approssimazione')